<?php

namespace Drupal\zoom_inline\Plugin\CKEditorPlugin;

use Drupal\Core\Plugin\PluginBase;
use Drupal\editor\Entity\Editor;
use Drupal\ckeditor\CKEditorPluginInterface;
use Drupal\ckeditor\CKEditorPluginContextualInterface;
use Drupal\ckeditor\CKEditorPluginCssInterface;

/**
 * Defines the "drupalinlineimagezoom" plugin.
 *
 * @CKEditorPlugin(
 *   id = "drupalinlineimagezoom",
 *   label = @Translation("Drupal inline image zoom widget"),
 *   module = "zoom_inline"
 * )
 */
class DrupalInlineImageZoom extends PluginBase implements CKEditorPluginInterface, CKEditorPluginContextualInterface, CKEditorPluginCssInterface {

  /**
   * {@inheritdoc}
   */
  public function isInternal() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function getDependencies(Editor $editor) {
    return [];
  }

    public function getFile() {
        return drupal_get_path('module', 'zoom_inline') . '/js/plugins/drupalinlineimagezoom/plugin.js';
    }

    /**
     * {@inheritdoc}
     */
    public function getLibraries(Editor $editor) {
        return array(
            'simple_zoom/zoom',
        );
    }
  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getCssFiles(Editor $editor) {
    return [
      drupal_get_path('module', 'simple_zoom') . '/css/zoom.css'
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function isEnabled(Editor $editor) {
    if (!$editor->hasAssociatedFilterFormat()) {
      return FALSE;
    }

    return TRUE;
  }

}
